Debian Bug report logs - #599903
asdf 2.009 isn't compatible with 02-common-lisp-controller-userdir.conf

version graph

Package: common-lisp-controller; Maintainer for common-lisp-controller is Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>; Source for common-lisp-controller is src:common-lisp-controller.

Reported by: Liu Yubao <yubao.liu@gmail.com>

Date: Tue, 12 Oct 2010 09:24:05 UTC

Severity: important

Found in version common-lisp-controller/7.4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#599903; Package common-lisp-controller. (Tue, 12 Oct 2010 09:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Liu Yubao <yubao.liu@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Tue, 12 Oct 2010 09:24:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Liu Yubao <yubao.liu@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: asdf 2.009 isn't compatible with 02-common-lisp-controller-userdir.conf
Date: Tue, 12 Oct 2010 17:21:46 +0800
Package: common-lisp-controller
Version: 7.4
Severity: important


I play with quicklisp which installs asdf 2.009 for me automatically,
then asdf in sbcl complains:
>>>>>>>>>>>>>>
ASDF could not load sb-posix because Not an absolute pathname
#P"~/.clc/systems/".

debugger invoked on a SIMPLE-ERROR in thread #<THREAD "initial thread" RUNNING
                                               {1002DB5E71}>:
  Not an absolute pathname #P"~/.clc/systems/"
>>>>>>>>>>>>>>

I change 02-common-lisp-controller-userdir.conf as below then it goes ok.

In fact the original configuration file doesn't work with asdf 2.004 too
although sbcl doesn't report the error above, sbcl can't find systems placed
in ~/.clc/systems.

Be careful the new configuration file isn't supported by asdf 2.004.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=zh_CN.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages common-lisp-controller depends on:
ii  adduser                       3.112      add and remove users and groups
ii  bash                          4.1-3      The GNU Bourne Again SHell
ii  cl-asdf                       2:2.004-1  Another System Definition Facility
ii  debconf [debconf-2.0]         1.5.35     Debian configuration management sy
ii  debianutils                   3.4        Miscellaneous utilities specific t
ii  perl                          5.10.1-14  Larry Wall's Practical Extraction
ii  realpath                      1.15       Return the canonicalized absolute

common-lisp-controller recommends no packages.

Versions of packages common-lisp-controller suggests:
ii  sbcl                        1:1.0.40.0-2 A Common Lisp compiler and develop

-- Configuration Files:
/etc/common-lisp/source-registry.conf.d/02-common-lisp-controller-userdir.conf
changed:
(:directory  (:HOME ".clc/systems/"))


-- debconf information:
  common-lisp-controller/long-site-name: Site name not initialized
  common-lisp-controller/short-site-name: Unknown




Reply sent to dochang@gmail.com (Desmond O. Chang):
You have taken responsibility. (Sat, 04 Dec 2010 19:06:07 GMT) Full text and rfc822 format available.

Notification sent to Liu Yubao <yubao.liu@gmail.com>:
Bug acknowledged by developer. (Sat, 04 Dec 2010 19:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 599903-close@bugs.debian.org (full text, mbox):

From: dochang@gmail.com (Desmond O. Chang)
To: 599903-close@bugs.debian.org
Subject: Bug#599903: fixed in common-lisp-controller 7.5
Date: Sat, 04 Dec 2010 19:02:14 +0000
Source: common-lisp-controller
Source-Version: 7.5

We believe that the bug you reported is fixed in the latest version of
common-lisp-controller, which is due to be installed in the Debian FTP archive:

common-lisp-controller_7.5.dsc
  to main/c/common-lisp-controller/common-lisp-controller_7.5.dsc
common-lisp-controller_7.5.tar.gz
  to main/c/common-lisp-controller/common-lisp-controller_7.5.tar.gz
common-lisp-controller_7.5_all.deb
  to main/c/common-lisp-controller/common-lisp-controller_7.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Desmond O. Chang <dochang@gmail.com> (supplier of updated common-lisp-controller package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 24 Nov 2010 20:37:16 +0800
Source: common-lisp-controller
Binary: common-lisp-controller
Architecture: source all
Version: 7.5
Distribution: unstable
Urgency: low
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Changed-By: Desmond O. Chang <dochang@gmail.com>
Description: 
 common-lisp-controller - Common Lisp source and compiler manager
Closes: 578740 599903
Changes: 
 common-lisp-controller (7.5) unstable; urgency=low
 .
   * Correct source registry DSL (Closes: #599903).
   * debian/control:
     + depends on cl-asdf (>= 2:2.009-1)
     + Suggests: darcs for 'clc-clbuild setup' (Closes: #578740).
Checksums-Sha1: 
 face88a8ae6189f8d5a1f5031341f88e8b766a3e 1432 common-lisp-controller_7.5.dsc
 42f472b0708cb16561afaa7eb94a87e076127de3 36571 common-lisp-controller_7.5.tar.gz
 b174c2ed8e5ed7a17284be8762e1d24bd81d46df 34856 common-lisp-controller_7.5_all.deb
Checksums-Sha256: 
 8312b4937d6a9db0afb9811fd52a20b30d5379b5d02e6d38db2be857aefe2b14 1432 common-lisp-controller_7.5.dsc
 a21c5bbbcef3c695dee23ff8adde3d7ca9575db0451c0a40ec57cefb114a356b 36571 common-lisp-controller_7.5.tar.gz
 f828fcec197c72dfcfb9dd9a644f8763c5394bac709e0242aeeb250a9e8dee63 34856 common-lisp-controller_7.5_all.deb
Files: 
 727ae5fdf7559d74e570f1522e70cf9d 1432 lisp optional common-lisp-controller_7.5.dsc
 cfec20aaab0e6a42d7c482b3702fc3c0 36571 lisp optional common-lisp-controller_7.5.tar.gz
 7c235927d3bd64c284afdd06ebb2e86a 34856 lisp optional common-lisp-controller_7.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAwAGBQJM+owkAAoJEOGDbms1cuRhfM0H/Ay4myOjSkhqAjJqRuz1Fxw+
zxfvwIEHZilAyqXqNYngN7TZiSIQi/X8IMcd34cBh7jtLkOEPW9uPizkbdvPfmNc
uKL6yYnz8Yly6Q0K/cb6jzO5HYk5mLQTPxDMSgQY9Jn0zCoj3Jz0SjXGwwlhVDeg
N6RLVDqjnvVCtP6vJcCXESqUkjaIpeQDGG5KgD9t15YYd8In2HHMCtJAQWGcV2P7
M2v091/7c9SIcWYOVolghF7jv266qKLRWyL+JJxYcEz0b7O6yCsmWZIzPNrKJtoe
AfxS6/nRqY7y0xVsdXSQcF9dq8+q1449ZQIbChdqo7c78RqjAlcbMXMBJbT21nQ=
=598H
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions common-lisp-controller/7.5 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Dec 2010 16:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#599903; Package common-lisp-controller. (Tue, 07 Dec 2010 23:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rupert Swarbrick <rswarbrick@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 07 Dec 2010 23:15:08 GMT) Full text and rfc822 format available.


Message #17 received at 599903@bugs.debian.org (full text, mbox):

From: Rupert Swarbrick <rswarbrick@gmail.com>
To: 599903@bugs.debian.org
Date: Tue, 07 Dec 2010 23:10:40 +0000
Hi,

I tried to write this below the reopen email, but it seems that was the
wrong thing to do. Hopefully, the following text will appear on the bug
report now:

I'm not sure this fixes the problem in all cases. I had a stale 
/etc/common-lisp/source-registry.conf.d/common-lisp-controller-userdir.conf
with the wrong contents.

Since this isn't the config file used since a commit in February (I
think, looking at the git log), this doesn't get wiped by the fixed
version. Then it still causes the error.

Hope this makes sense,

Rupert




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:01:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.